
;    This header file defines new IOCTLs for the FTDISK driver to support
;    the new FT API.

ifndef _NTDDFT2_
_NTDDFT2_ equ 1

FTCONTROLTYPE   equ 067h	; ((ULONG) 'g')

FT_CREATE_LOGICAL_DISK                      equ CTL_CODE(FTCONTROLTYPE, 0, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)
FT_BREAK_LOGICAL_DISK                       equ CTL_CODE(FTCONTROLTYPE, 1, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)
FT_ENUMERATE_LOGICAL_DISKS                  equ CTL_CODE(FTCONTROLTYPE, 2, METHOD_BUFFERED, FILE_READ_ACCESS)
FT_QUERY_LOGICAL_DISK_INFORMATION           equ CTL_CODE(FTCONTROLTYPE, 3, METHOD_BUFFERED, FILE_READ_ACCESS)
FT_ORPHAN_LOGICAL_DISK_MEMBER               equ CTL_CODE(FTCONTROLTYPE, 4, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)
FT_REPLACE_LOGICAL_DISK_MEMBER              equ CTL_CODE(FTCONTROLTYPE, 5, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)
FT_QUERY_NT_DEVICE_NAME_FOR_LOGICAL_DISK    equ CTL_CODE(FTCONTROLTYPE, 6, METHOD_BUFFERED, FILE_READ_ACCESS)
FT_INITIALIZE_LOGICAL_DISK                  equ CTL_CODE(FTCONTROLTYPE, 7, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)
FT_QUERY_DRIVE_LETTER_FOR_LOGICAL_DISK      equ CTL_CODE(FTCONTROLTYPE, 8, METHOD_BUFFERED, FILE_READ_ACCESS)
FT_CHECK_IO                                 equ CTL_CODE(FTCONTROLTYPE, 9, METHOD_BUFFERED, FILE_READ_ACCESS)
FT_SET_DRIVE_LETTER_FOR_LOGICAL_DISK        equ CTL_CODE(FTCONTROLTYPE, 10, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)
FT_QUERY_NT_DEVICE_NAME_FOR_PARTITION       equ CTL_CODE(FTCONTROLTYPE, 12, METHOD_BUFFERED, FILE_READ_ACCESS)
FT_CHANGE_NOTIFY                            equ CTL_CODE(FTCONTROLTYPE, 13, METHOD_BUFFERED, FILE_READ_ACCESS)
FT_STOP_SYNC_OPERATIONS                     equ CTL_CODE(FTCONTROLTYPE, 14, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)

FT_QUERY_LOGICAL_DISK_ID                    equ CTL_CODE(FTCONTROLTYPE, 100, METHOD_BUFFERED, FILE_READ_ACCESS)
FT_CREATE_PARTITION_LOGICAL_DISK            equ CTL_CODE(FTCONTROLTYPE, 101, METHOD_BUFFERED, FILE_READ_ACCESS or FILE_WRITE_ACCESS)

endif ; _NTDDFT2_
